%define debug 0
%define final 0

%define kde_version 3.3.0
%define qt_version 3.3.3

%define libtool 1

Name: kdevelop
Summary: Integrated Development Environment for C++/C
Version: 3.1.0
Release: 2
Epoch: 9
URL: http://www.kdevelop.org/
Group: Development/Tools
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
License: GPL

Source: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.bz2
Source1: ftp://129.187.206.68/pub/unix/ide/KDevelop/c_cpp_reference-2.0.2_for_KDE_3.0.tar.bz2
Source2: kdevelop

Patch1: c_cpp_reference-2.0.2-config.patch
Patch2: kde-libtool.patch
Patch3: kdevelop-2.1.5_for_KDE_3.1-doc.patch
Patch4: kdevelop-3.1.0-fpic.patch

Prereq: /sbin/ldconfig

Requires: kdelibs-devel >= 6:%{kde_version}
Requires: make
Requires: perl >= 0:5.004
Requires: autoconf >= 2.13
Requires: automake >= 1.4
Requires: flex >= 2.5.4
Requires: qt-designer >= 1:%{qt_version}

BuildPrereq: autoconf
BuildPrereq: automake
BuildPrereq: libtool
BuildPrereq: kdelibs-devel >= %{kde_version}
Obsoletes: kdevelop-c_c++_ref

%description
The KDevelop Integrated Development Environment provides many features
that developers need as well as providing a unified interface to programs
like gdb, the C/C++ compiler, and make. KDevelop manages or provides:

All development tools needed for C++ programming like Compiler,
Linker, automake and autoconf; KAppWizard, which generates complete,
ready-to-go sample applications; Classgenerator, for creating new
classes and integrating them into the current project; File management
for sources, headers, documentation etc. to be included in the
project; The creation of User-Handbooks written with SGML and the
automatic generation of HTML-output with the KDE look and feel;
Automatic HTML-based API-documentation for your project's classes with
cross-references to the used libraries; Internationalization support
for your application, allowing translators to easily add their target
language to a project;

KDevelop also includes WYSIWYG (What you see is what you get)-creation
of user interfaces with a built-in dialog editor; Debugging your
application by integrating KDbg; Editing of project-specific pixmaps
with KIconEdit; The inclusion of any other program you need for
development by adding it to the "Tools"-menu according to your
individual needs.

%prep

%setup -q -a1
%patch1 -p0 -b .config
%patch2 -p1 -b .libtool
%patch3 -p1 -b .doc
%patch4 -p1

%build
export KDEDIR=%{_prefix}
QTDIR="" && source /etc/profile.d/qt.sh

# Workaround for legacy auto* tools
%if %{libtool}
  [ -x /usr/bin/autoconf-2.5? ] && ln -s /usr/bin/autoconf-2.5? autoconf
  [ -x /usr/bin/autoheader-2.5? ] && ln -s /usr/bin/autoheader-2.5? autoheader
  [ -x /usr/bin/aclocal-1.5 ] && ln -s /usr/bin/aclocal-1.5 aclocal
  [ -x /usr/bin/automake-1.5 ] && ln -s /usr/bin/automake-1.5 automake
  export PATH=`pwd`:$PATH
  make -f admin/Makefile.common cvs
  make -C c_cpp_reference-2.0.2_for_KDE_3.0 -f admin/Makefile.common cvs
%endif

export FLAGS="$RPM_OPT_FLAGS -DNDEBUG -DNO_DEBUG -D_GNU_SOURCE"

%configure \
   --disable-rpath \
%if %{final}
  --enable-final \
%endif
  --with-qtdoc-dir=$QTDIR/doc/html/ \
  --with-kdelibsdoc-dir=%{_docdir}/HTML/en/kdelibs-apidocs/ \
  --with-qt-libraries=$QTDIR/lib \
  --with-extra-libs=%{_libdir}

make %{?_smp_mflags}

# c references
pushd c_cpp_reference-2.0.2_for_KDE_3.0
%configure \
  --with-qt-libraries=$QTDIR/lib \
  --with-qt-includes=$QTDIR/include \
  --with-extra-libs=%{_libdir}
popd

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install
make -C c_cpp_reference-2.0.2_for_KDE_3.0 DESTDIR=$RPM_BUILD_ROOT install

# remove duplicat, konflict with kdelibs
rm -f $RPM_BUILD_ROOT%{_datadir}/mimelnk/text/x-pascal.desktop

# remove useless files
rm -rf $RPM_BUILD_ROOT%{_prefix}/kdevbdb

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc %{_docdir}/HTML/en/*
%{_bindir}/*
%{_libdir}/kde3/*
%{_libdir}/lib*
%{_includedir}/*
%{_datadir}/applnk/Development/*
%{_datadir}/apps/*
%config %{_datadir}/config/*
%{_datadir}/icons/*/*/*/*
%{_datadir}/mimelnk/application/*
%{_datadir}/mimelnk/text/*
%{_datadir}/services/*
%{_datadir}/servicetypes/*

%changelog
* Thu Sep 02 2004 Than Ngo <than@redhat.com> 3.1.0-2
- remove kdevelop-gdb_shared_library.patch, it's include in new upstream
- cleanup specfile 

* Wed Sep 01 2004 Than Ngo <than@redhat.com> 3.1.0-1
- update to 3.1.0

* Tue Aug 10 2004 Than Ngo <than@redhat.com> 3.1.0-0.1.rc2
- update to 3.1.0 rc2

* Sat Jun 19 2004 Than Ngo <than@redhat.com> 3.0.4-1 
- update to 3.0.4

* Thu Apr 15 2004 Than Ngo <than@redhat.com> 3.0.3-2
- fixed multiple duplicate names, bug #117940

* Wed Apr 14 2004 Than Ngo <than@redhat.com> 9:3.0.3-1
- update to 3.0.3

* Tue Apr 06 2004 Than Ngo <than@redhat.com> 9:3.0.2-2
- fix a bug in creating of new PHP project that causes kdevelop to crash, bug #117113

* Tue Mar 09 2004 Than Ngo <than@redhat.com> 9:3.0.2-1
- rebuild

* Fri Mar 05 2004 Than Ngo <than@redhat.com> 9:3.0.2-0.1
- 3.0.2 release

* Sun Feb 08 2004 Than Ngo <than@redhat.com> 9:3.0.0-0.2
- rebuilt against qt-3.3.0

* Mon Feb 02 2004 Than Ngo <than@redhat.com> 9:3.0.0-0.1
- 3.0.0 release

* Thu Jan 22 2004 Than Ngo <than@redhat.com> 8:3.0.0r1-0.1
- 3.0.0 RC1

* Wed Dec 10 2003 Than Ngo <than@redhat.com> 8:3.0.0b2-0.3
- included BuildRequires: db4-devel

* Tue Dec 02 2003 Than Ngo <than@redhat.com> 8:3.0.0b2-0.2
- 3.0.0 Beta 2 respin

* Mon Dec 01 2003 Than Ngo <than@redhat.com> 8:3.0.0b2-0.1
- 3.0.0 Beta 2
- remove unneeded files: kdevelop-htdig.conf, admin-1.0.tar.gz

* Thu Nov 27 2003 Than Ngo <than@redhat.com> 8:3.0.0b1-0.2
- get rid of rpath

* Thu Nov 13 2003 Than Ngo <than@redhat.com> 8:3.0.0b1-0.1
- 3.0.0 Beta1
- po files moved in kde-i18n
- cleanup

* Tue Oct 21 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- add a %%clean specfile target

* Mon Oct 13 2003 Than Ngo <than@redhat.com> 8:2.1.5-13
- fix documention localtion

* Wed Aug 20 2003 Than Ngo <than@redhat.com> 8:2.1.5-12
- fix build problem with gcc 3.3

* Wed Jun 25 2003 <than@redhat.com> 2.1.5-11
- rebuilt

* Tue Jun 10 2003 <than@redhat.com> 2.1.5-10
- fix templates bug (bug #88718)

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jun  3 2003 Jeff Johnson <jbj@redhat.com>
- add explicit epoch's where needed.

* Tue May 27 2003 <than@redhat.com> 2.1.5-7
- rebuild

* Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 21 2003 <than@redhat.com> 2.1.5-2
- get rid of gcc path from dependency_libs

* Fri Jan 24 2003 <than@redhat.com> 2.1.5-1
- 2.1.5 release
- update c_cpp_reference
- cleanup sepcfile
- remove templates, which is now in new upstream
- remove unneeded c_cpp_reference-2.0.1-config.patch
- add missing mo files
- fixed #75084, #73128, #70656, #77767, #74425

* Wed Jan 22 2003 Tim Powers <timp@redhat.com> 2.1.4-6
- rebuilt

* Wed Jan  8 2003 Jeff Johnson <jbj@redhat.com> 2.1.4-5
- don't include -debuginfo files in package.

* Tue Dec 31 2002 Than Ngo <than@redhat.com> 2.1.4-4
- fix templates (bug #80745)

* Tue Dec 17 2002 Than Ngo <than@redhat.com> 2.1.4-3
- enable kdoc

* Mon Dec  9 2002 Than Ngo <than@redhat.com> 2.1.4-2
- fix build problem on s390/s390x
- fix bug #78866

* Sun Nov 10 2002 Than Ngo <than@redhat.com> 2.1.4-1
- update to 2.1.4

* Mon Oct 07 2002 Phil Knirsch <pknirsch@redhat.com> 2.1.3-3.2
- Fixed build for s390x.

* Thu Sep 12 2002 Than Ngo <than@redhat.com> 2.1.3-3.1
- clean up specfile for x86_64/ppc (bug #73862)

* Sun Sep  1 2002 Than Ngo <than@redhat.com> 2.1.3-3
- Add fix to show/hide KaboutKDE and Report Bug menu item over
  KDE Action Restrictions in kdeglobals

* Tue Aug 27 2002 Than Ngo <than@redhat.com> 2.1.3-2
- move kdevelop in X-Red-Hat-Base

* Mon Aug 12 2002 Than Ngo <than@redhat.com> 2.1.3-1
- 2.1.3
- Adapted a patch file to 2.1.3

* Sun Aug  5 2002 Than Ngo <than@redhat.com> 2.1.2-3
- fixed desktop file issue

* Tue Jul 23 2002 Tim Powers <timp@redhat.com>
- build using gcc-3.2-0.1

* Tue Jul 09 2002 Than Ngo <than@redhat.com> 2.1.2-1
- 2.1.2 for kde 3.0.2
- use desktop-file-install

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jun 19 2002 Than Ngo <than@redhat.com> 2.1.1-2
- don't forcibly strip binaries

* Sun Jun  2 2002 Than Ngo <than@redhat.com> 2.1.1-1
- 2.1.1

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Bernhard Rosenkraenzer <bero@redhat.com> 2.1-3
- Use automake15

* Tue Apr 16 2002 Bernhard Rosenkraenzer <bero@redhat.com> 2.1-2
- Change sonames

* Wed Mar 27 2002 Than Ngo <than@redhat.com> 2.1-1
- final

* Wed Mar 27 2002 Than Ngo <than@redhat.com> 2.1-0.cvs20020326.1
- update

* Wed Mar 20 2002 Than Ngo <than@redhat.com> 2.1rc3-1
- update to 2.1rc3

* Sun Mar 17 2002 Than Ngo <than@redhat.com> 2.1rc2-1
- update to 2.1rc2

* Sun Mar 10 2002 Than Ngo <than@redhat.com> 2.1beta2-3
- rebuild against new kdelibs

* Sun Mar 10 2002 Than Ngo <than@redhat.com> 2.1beta2-2
- fixed Strange characters appear in the output window (bug #59217)
- fixed return-line feed sign in Kdevelop setup tool (bug #55032)

* Wed Mar  8 2002 Than Ngo <than@redhat.com> 2.1beta2-1
- update to 2.1beta2

* Wed Jan 16 2002 Than Ngo <than@redhat.com> 2.1beta1-2
- rebuild against new kdelibs

* Wed Jan  9 2002 Than Ngo <than@redhat.com> 2.1beta1-1
- update to 2.1 beta1
- fix build against gcc 3
- fix some typo bugs
- get rid of libkfile
- update c_cpp_reference to 2.0.1

* Mon Oct 22 2001 Than Ngo <than@redhat.com> 2.0-1
- add patch to show non lattin1 font in build-in editor correct (bug #54457)

* Sat Sep 22 2001 Than Ngo <than@redhat.com> 2.0-2
- fix a bug in creating documentation index when running KDevelop Setup (bug #52760)
- backport some major bugfixes from 2.0.1

* Mon Jul 30 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.0-0.cvs20010730.1
- Don't crash on startup

* Tue Jul 24 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.0-0.cvs20010724.1
- Fix file list

* Mon Jul 23 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.0-0.cvs20010723.1
- Update

* Mon Feb 26 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Yet another respin - printing was broken.

* Sat Feb 24 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update the C/C++ reference guide docs. The older version had a
  couple of examples that won't work with gcc 2.96-*

* Thu Feb 22 2001 Than Ngo <than@redhat.com>
- fix version number

* Wed Feb 21 2001 Than Ngo <than@redhat.com>
- 1.4-respin

* Tue Feb 20 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.4

* Wed Feb 14 2001 Than Ngo <than@redhat.com>
- update (only bugfixes)
- fix up kdelibs documentation path
- fix a dependency problem with kde-i18n package (Bug #27675)
- add qt-designer into requires

* Sun Feb 11 2001 Than Ngo <than@redhat.com>
- fixed to build on s390

* Tue Feb 06 2001 Than Ngo <than@redhat.com>
- update, only bugfixes

* Wed Jan 24 2001 Than Ngo <than@redhat.com>
- hacked for building of KDE references

* Tue Jan 23 2001 Than Ngo <than@redhat.com>
- work-around to build on alpha

* Mon Jan 22 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update

* Wed Jan 10 2001 Than Ngo <than@redhat.com>
- update new snapshot, only require KDE2/Qt2

* Fri Dec 22 2000 Than Ngo <than@redhat.com>
- fixed dependency problem with kde-i18n

* Thu Dec 21 2000 Than Ngo <than@redhat.com>
- updated to 1.4beta1 with KDE2 support
- fixed to build on s390
- fixed some broken codes
 
* Fri Dec 8 2000 Than Ngo <than@redhat.com>
- fixed for building on ia64
 
* Wed Nov 15 2000 Than Ngo <than@redhat.com>
- build snapshot 20001112, it works now with KDE2 and kde1-compat
- fix libtool to build on sparc and alpha
- don't use make -j
 
* Sun Aug 13 2000 Than Ngo <than@redhat.com>
- fix kdelibsdoc-dir to show kdelibs-1.1.2 html docu correct
 
* Tue Aug 01 2000 Than Ngo <than@redhat.de>
- add missing ldconfig in %post and %postun section (Bug #14924)
- add missing C references stuff to kdevelop
 
* Sun Jul 30 2000 Than Ngo <than@redhat.de>
- rebuilt against compat-egcs-c++, put KDE1 under /usr
- cleanup specfile
 
* Tue Jul 25 2000 Than Ngo <than@redhat.de>
- fix dependency problem
 
* Wed Jul 19 2000 Than Ngo <than@redhat.de>
- rebuilt against compat-libstdc++
 
* Mon Jul 17 2000 Than Ngo <than@redhat.de>
- install under /usr/share instead /usr/lib/kde1-compat/share,
  fix dependency problem
 
* Sat Jul 15 2000 Than Ngo <than@redhat.de>
- rebuilt with egcs-c++-1.1.2

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild
 
* Mon Jul 03 2000 Than Ngo <than@redhat.de>
- fix docdir
- add requires kdebase
 
* Sun Jul 02 2000 Than Ngo <than@redhat.de>
- rebuilt with  kde1-compat
 
* Sun Jun 18 2000 Than Ngo <than@redhat.de>
- rebuilt in the new build environment, fix docdir
- FHS packaging
 
* Thu Jun 08 2000 Than Ngo <than@redhat.de>
- update to 1.2
- move from powertools to main CD
- use %%configure
 
* Mon Apr 3 2000 Ngo Than <than@redhat.de>
- fix up reference (Bug #10368)
 
* Tue Feb 15 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- Fix up documentation path (Bug #7291)
- Update to current stable branch - this should fix up the debugger problem
- clean up spec file
 
* Fri Jan  6 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- Update to current stable branch
- Adapt to 6.2 Qt libraries
- Use BuildPrereq
 
* Wed Jan 05 2000 Ngo Than <than@redhat.de>
- added patch for alpha
 
* Tue Dec 21 1999 Ngo Than <than@redhat.de>
- updated kdevelop-1.0 release
 
* Tue Nov 16 1999 Preston Brown <pbrown@redhat.com>
- kdevelop 1.0beta4.1, docdir added, using DESTDIR env. variable.
 
* Thu Sep 09 1999 Preston Brown <pbrown@redhat.com>
- initial packaging for 6.1.
